Web Hosting Talks

!! Failed to install CPAN Perl module(s) Crypt:: PasswdMD5!! – Easy Apache

Have you ever encountered this Error? !! Failed to install CPAN Perl module(s) Crypt::PasswdMD5 !! While attempting to run easyapache?
easyapache2
 
To date I have installed many instances WHM on dedicated and VPS server and run EasyApache several hundred times. Last night for the first time I came across this error. Nothing really worked out even after several troubleshoots. Finally thought of reinstalling the CentOS and WHM, but before that, did a quick search in cPanel Forums and that helped.
 
What is Easy Apache?
EasyApache is a powerful and simple-to-use tool built into WHM/cPanel that you can use to update and configure your Apache web server. It can install, modify, and validate your Apache web server, PHP, Tomcat, and other components of your web server.
 
Why should I run EasyApache, and how often should I run it?
  • EasyApache provides the following benefits:
  • Automatic updates to PHP, Apache, and the modules that you select.
  • Decreased security vulnerabilities due to the automatic updates.
  • Access to configure Apache and PHP via the WHM or command line interfaces.
  • A simplified method to add, remove, or install components of your web server.
  • Recommendations about compatibility.
  • Easy access to information about the options you select.
  • Minimal downtime due to an automatic recovery procedure. If EasyApache detects an error in the server configuration and it is unable to automatically correct it, then EasyApache will revert your server to the previously working configuration.

I commend that you run EasyApache whenever there is an update to the software that you utilize. For instance, if you use PHP on your server, run EasyApache each time that PHP releases an update.
 
If you ever encounter a similar issue here is few steps I did which can help you to resolve the issue. All these fixes are from cPanel Forums.
 
Well to fix this issue just run following command in SSH (recommend to use Putty for SSH)
 
# /usr/local/cpanel/bin/cpanm -n Digest::SHA1 Crypt::PasswdMD5 (don’t forget to exclude the # when you copy paste the command)
 
Now Run your Easy Apache again and it should be fixed.
 
Still not working, then refer to this tutorial from cPanel. Or you can email me and I will be happy to resolve this issue or any other web server related issues on Linux Platform.

(2 votes)
Read 1408 times

Write to Us